RemoteGymp · API v1
API-referentie
Toegang en gedrag
Referentievoorbeelden zijn sjablonen. Vervang tijdelijke aanduidingen en controleer de parameters, machtigingen en het schema van het eindpunt voordat u deze uitvoert. Voor onzekere schrijfbewerkingen volgt u de regels voor herstel en opnieuw proberen van dat eindpunt.
Vereist een dragertoken en de machtigingen van het eindpunt. De toegang blijft beperkt tot het bereik van uw inloggegevens. Controleer de mogelijkheden voordat u apparaat- of beheeracties gebruikt.
Zoekresultaten: 289
Geen resultaten gevonden.
-apparaten58
GETLijst met apparaten/v1/devices
Blader door apparaatoverzichten pagina voor pagina. Volg de volgende cursor voor meer resultaten.
GET /v1/devices ↗mcp.cap.InventoryRead
-schema's (OpenAPI)
status
"Online" "Offline" "Busy" "Error" "Uninstalling" "Uninstalled"
-parameters
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
after· -query · optioneel- Vervolgpositie uit de vorige reactie. Laat weg voor de eerste pagina; behoud dezelfde filters als u doorgaat.
companyId· -query · optioneel- Bedrijfsidentificatie. Een queryparameter beperkt de resultaten tot dit bedrijf; het vergroot nooit de reikwijdte van de referenties.
siteId· -query · optioneel- Locatie-ID. Een queryparameter beperkt de resultaten tot deze site binnen het referentiebereik.
status· -query · optioneel- Filter apparaten op basis van hun opgeslagen apparaatstatus.
name· -query · optioneel- Filter op een apparaat- of softwarenaam, afhankelijk van de bron die wordt opgevraagd.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Browse device summaries one page at a time. Follow the next cursor for more results.",
"operationId": "get_v1_devices",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Site identifier. A query parameter narrows the results to this site within credential scope.",
"in": "query",
"name": "siteId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Filter devices by their stored device status.",
"in": "query",
"name": "status",
"schema": {
"enum": [
"Online",
"Offline",
"Busy",
"Error",
"Uninstalling",
"Uninstalled"
],
"type": "string"
}
},
{
"description": "Filter by a device or software name, according to the resource being queried.",
"in": "query",
"name": "name",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfDeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List devices",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETKoop een apparaat/v1/devices/{deviceId}
Lees de samenvatting van één apparaat met behulp van de ID ervan.
GET /v1/devices/{deviceId} ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read one device's summary using its ID.",
"operationId": "get_v1_devices_deviceId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a device",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTVerwijder een agent/v1/devices/{deviceId}/agent/uninstall
Kies of u de inventariselement wilt behouden. Erkenning bewijst de verwijdering niet.
POST /v1/devices/{deviceId}/agent/uninstall ↗mcp.cap.EnrollmentManage
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/agent/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Choose whether to retain its inventory entry. Acknowledgement does not prove removal.",
"operationId": "post_v1_devices_deviceId_agent_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall an agent",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}POSTAnnuleer een opdracht/v1/devices/{deviceId}/commands/{operationId}/cancel
Gebruik het originele ontvangstbewijs van de opdracht dat eigendom is van deze referentie. Annulering maakt effecten niet ongedaan.
POST /v1/devices/{deviceId}/commands/{operationId}/cancel ↗mcp.cap.CommandsExecute
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
operationId· -pad · vereist- Identificatie van ontvangstbewijs op het hoogste niveau. Vraag deze bon om de voortgang en het resultaat te controleren.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/commands/<operationId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Use the original command receipt owned by this credential. Cancellation does not undo effects.",
"operationId": "post_v1_devices_deviceId_commands_operationId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTScan schijfgebruik/v1/devices/{deviceId}/disk-usage
Geef een scan-ID en geselecteerde volumes op. Hergebruik de ID om de scan te annuleren.
POST /v1/devices/{deviceId}/disk-usage ↗mcp.cap.DeviceMaintenance
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"operationId": "<UUID>",
"volumeIds": [
"<value>"
]
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDiskScan"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Scan disk usage",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}POSTAnnuleer een schijfscan/v1/devices/{deviceId}/disk-usage/cancel
Geef een scan-ID en geselecteerde volumes op. Hergebruik de ID om de scan te annuleren.
POST /v1/devices/{deviceId}/disk-usage/cancel ↗mcp.cap.DeviceMaintenance
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a disk scan",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETLijst schijfvolumes/v1/devices/{deviceId}/disk-usage/volumes
Lees huidige eindpuntdiagnostiek binnen het referentiekader.
GET /v1/devices/{deviceId}/disk-usage/volumes ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/volumes' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_disk_usage_volumes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/DiskUsageVolumeInfoDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List disk volumes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETOpgeslagen gebeurtenislogboekresultaten lezen/v1/devices/{deviceId}/event-logs
Lees gebeurtenislogboekresultaten die al voor het apparaat zijn verzameld.
GET /v1/devices/{deviceId}/event-logs ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
offset· -query · optioneel- Aantal items dat moet worden overgeslagen, beginnend bij nul. Ga door met het gebruiken van de offset die door het eindpunt wordt geretourneerd, indien beschikbaar.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read event-log results already collected for the device.",
"operationId": "get_v1_devices_deviceId_event_logs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read stored event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLive gebeurtenislogboeken lezen/v1/devices/{deviceId}/event-logs/live
Vraag gebeurtenislogboekinformatie op vanaf het apparaat in plaats van alleen op opgeslagen resultaten te vertrouwen.
GET /v1/devices/{deviceId}/event-logs/live ↗mcp.cap.InventoryRead
-schema's (OpenAPI)
level
"Critical" "Error" "Warning"
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
from· -query · optioneel- Starttijdstempel voor het gevraagde tijdsbereik. Voeg een UTC-offset toe.
to· -query · optioneel- Eindtijdstempel voor het gevraagde tijdsbereik. Voeg een UTC-offset toe en kies een tijdstip na de start.
level· -query · optioneel- Filter de aangevraagde gebeurtenislogboeken op gebeurtenisniveau.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/live' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Request event-log information from the device rather than relying only on stored results.",
"operationId": "get_v1_devices_deviceId_event_logs_live",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "Filter the requested event logs by event level.",
"in": "query",
"name": "level",
"schema": {
"enum": [
"Critical",
"Error",
"Warning"
],
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiLiveEventLogs"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read live event logs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTVerzamel gebeurtenislogboekresultaten/v1/devices/{deviceId}/event-logs/query
Vraag een begrensde gebeurtenislogboekquery aan op het apparaat en noteer de resultaten om deze later te kunnen lezen.
POST /v1/devices/{deviceId}/event-logs/query ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"channels": [
"<value>"
],
"fromUtc": "<UTC date and time>",
"toUtc": "<UTC date and time>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Request a bounded event-log query on the device and record its results for later reading.",
"operationId": "post_v1_devices_deviceId_event_logs_query",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/EventLogQueryDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationEventLogResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Collect event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETHaal opgeslagen inventaris op/v1/devices/{deviceId}/inventory
Lees verzamelde hardware- en beveiligingsfeiten. Ontbrekende waarden zijn onbekend; dit activeert geen nieuwe scan.
GET /v1/devices/{deviceId}/inventory ↗mcp.cap.InventoryRead
Opgeslagen hardware- en beveiligingssamenvattende feiten. Nulwaarden zijn onbekend; tijdstempels bepalen de versheid van observaties. Geen herstelsleutels, geheim materiaal of autoriteit voor apparaatcontrole.
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Stored hardware and security summary facts. Null values are unknown; timestamps establish observation freshness. No recovery keys, secret material or device-control authority.",
"operationId": "get_v1_devices_deviceId_inventory",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InventoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get stored inventory",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETKrijg een inventarissectie/v1/devices/{deviceId}/inventory/{section}
Lees één ondersteund gedeelte van de opgeslagen inventaris van het apparaat.
GET /v1/devices/{deviceId}/inventory/{section} ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
section· -pad · vereist- Inventarissectie om te lezen. Lees eerst manifest voor ondersteunde secties; volg nextOffset voor arraysecties.
offset· -query · optioneel- Aantal items dat moet worden overgeslagen, beginnend bij nul. Ga door met het gebruiken van de offset die door het eindpunt wordt geretourneerd, indien beschikbaar.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory/<section>' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read one supported section of the device's stored asset inventory.",
"operationId": "get_v1_devices_deviceId_inventory_section",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Inventory section to read. Read manifest first for supported sections; follow nextOffset for array sections.",
"in": "path",
"name": "section",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an inventory section",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLijst geplande taken/v1/devices/{deviceId}/jobs
Lees lopende en pending taken. Ontbrekende taken bewijzen geen succes.
GET /v1/devices/{deviceId}/jobs ↗mcp.cap.InventoryRead
-schema's (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
after· -query · optioneel- Vervolgpositie uit de vorige reactie. Laat weg voor de eerste pagina; behoud dezelfde filters als u doorgaat.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List queued jobs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTZet een offline-opdracht in de wachtrij/v1/devices/{deviceId}/jobs/command
Zet werk voor herverbinding in de wachtrij. Huidige inloggegevens en machtigingen worden opnieuw gecontroleerd vóór uitvoering.
POST /v1/devices/{deviceId}/jobs/command ↗mcp.cap.CommandsExecute
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"command": "<value>",
"shell": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/command' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_command",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationQueuedCommand"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an offline command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTZet een agentverwijdering in de wachtrij/v1/devices/{deviceId}/jobs/uninstall
Zet werk voor herverbinding in de wachtrij. Huidige inloggegevens en machtigingen worden opnieuw gecontroleerd vóór uitvoering.
POST /v1/devices/{deviceId}/jobs/uninstall ↗mcp.cap.EnrollmentManage
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an agent uninstall",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GETLees een geplande taak/v1/devices/{deviceId}/jobs/{jobId}
Lees lopende en pending taken. Ontbrekende taken bewijzen geen succes.
GET /v1/devices/{deviceId}/jobs/{jobId} ↗mcp.cap.InventoryRead
-schema's (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
jobId· -pad · vereist- Identificatie geretourneerd door de overeenkomstige bronnenlijst of het creatieresultaat.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs_jobId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAnnuleer een geplande taak/v1/devices/{deviceId}/jobs/{jobId}/cancel
Annuleer alleen voordat de taak is geclaimd voor uitvoering.
POST /v1/devices/{deviceId}/jobs/{jobId}/cancel ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
jobId· -pad · vereist- Identificatie geretourneerd door de overeenkomstige bronnenlijst of het creatieresultaat.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Cancel only before the job is claimed for execution.",
"operationId": "post_v1_devices_deviceId_jobs_jobId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETControleer Linux gereedheid/v1/devices/{deviceId}/linux-readiness
Lees huidige eindpuntdiagnostiek binnen het referentiekader.
GET /v1/devices/{deviceId}/linux-readiness ↗mcp.cap.InventoryRead
-schema's (OpenAPI)
LinuxReadinessState
0 = Ready 1 = Warning 2 = Blocked 3 = NotApplicable
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/linux-readiness' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_linux_readiness",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/LinuxReadinessReportDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Linux readiness",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETOntvang de status van de opgenomen patch/v1/devices/{deviceId}/patches
Lees opgeslagen patchfeiten, ontbrekende updates en fouten. Er wordt niet gezocht naar updates en deze worden ook niet geïnstalleerd.
GET /v1/devices/{deviceId}/patches ↗mcp.cap.PatchingRead
-schema's (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/patches' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read stored patch facts, missing updates and failures. This does not scan for or install updates.",
"operationId": "get_v1_devices_deviceId_patches",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PatchFactsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get recorded patch status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}GETPrestatiegeschiedenis ophalen/v1/devices/{deviceId}/performance
Lees bewaarde prestatievoorbeelden voor een tijdsbereik. Gaten betekenen dat er geen monster is verzameld.
GET /v1/devices/{deviceId}/performance ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
from· -query · optioneel- Starttijdstempel voor het gevraagde tijdsbereik. Voeg een UTC-offset toe.
to· -query · optioneel- Eindtijdstempel voor het gevraagde tijdsbereik. Voeg een UTC-offset toe en kies een tijdstip na de start.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/performance' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read retained performance samples for a time range. Gaps mean no sample was collected.",
"operationId": "get_v1_devices_deviceId_performance",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PerformanceHistoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get performance history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETApparaatvereisten controleren/v1/devices/{deviceId}/preflight
Lees informatie over de capaciteit en gereedheid van het opgeslagen apparaat zonder een actie te verzenden.
GET /v1/devices/{deviceId}/preflight ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/preflight' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read stored device capability and readiness information without dispatching an action.",
"operationId": "get_v1_devices_deviceId_preflight",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationDevicePreflightResponse"
}
}
},
"description": "OK"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check device prerequisites",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLopende processen lezen/v1/devices/{deviceId}/processes
Procesinformatie opvragen vanaf een geautoriseerd apparaat.
GET /v1/devices/{deviceId}/processes ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
offset· -query · optioneel- Aantal items dat moet worden overgeslagen, beginnend bij nul. Ga door met het gebruiken van de offset die door het eindpunt wordt geretourneerd, indien beschikbaar.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Request process information from an authorised device.",
"operationId": "get_v1_devices_deviceId_processes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfProcessInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read running processes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTBeëindig een proces/v1/devices/{deviceId}/processes/terminate
Controleer het proces-ID en de naam voordat u beëindigt. Deze controle is niet atomair aan het eindpunt.
POST /v1/devices/{deviceId}/processes/terminate ↗mcp.cap.InventoryRead + mcp.cap.CommandsExecute
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"expectedName": "<value>",
"processId": 1
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes/terminate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Check the process ID and name before termination. This check is not atomic at the endpoint.",
"operationId": "post_v1_devices_deviceId_processes_terminate",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationKillProcess"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Terminate a process",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead",
"mcp.cap.CommandsExecute"
]
}GETControleer Windows remote desktop/v1/devices/{deviceId}/rdp
Lees huidige eindpuntdiagnostiek binnen het referentiekader.
GET /v1/devices/{deviceId}/rdp ↗mcp.cap.InventoryRead
-schema's (OpenAPI)
WindowsRdpState
0 = Unknown 1 = Disabled 2 = Enabled 3 = PolicyBlocked 4 = Unsupported
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_rdp",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationRdpStatus"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTSchakel Windows remote desktop in/v1/devices/{deviceId}/rdp/enable
Schakel remote desktop in met bestaande eindpuntbeveiliging.
POST /v1/devices/{deviceId}/rdp/enable ↗mcp.cap.DeviceMaintenance
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp/enable' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Enable remote desktop with existing endpoint safeguards.",
"operationId": "post_v1_devices_deviceId_rdp_enable",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Enable Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETApparaatservices lezen/v1/devices/{deviceId}/services
Service-informatie opvragen bij een geautoriseerd apparaat; De beschikbaarheid van apparaten heeft invloed op het resultaat.
GET /v1/devices/{deviceId}/services ↗mcp.cap.InventoryRead
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
offset· -query · optioneel- Aantal items dat moet worden overgeslagen, beginnend bij nul. Ga door met het gebruiken van de offset die door het eindpunt wordt geretourneerd, indien beschikbaar.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/services' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Request service information from an authorised device; device availability affects the result.",
"operationId": "get_v1_devices_deviceId_services",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfServiceInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device services",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETHaal de geïnstalleerde software op/v1/devices/{deviceId}/software
Lees opgeslagen softwarewaarnemingen op pagina's. Hiermee wordt geen software gescand of geïnstalleerd.
GET /v1/devices/{deviceId}/software ↗mcp.cap.InventoryRead
Alleen softwarewaarnemingen opgeslagen, maximaal 100 per pagina. items null betekent geen opgeslagen momentopname; lege items betekent een waargenomen lege lijst. Numeriek after is een offset. Start een export opnieuw als updatedAtUtc verandert.
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
after· -query · optioneel- Vervolgpositie uit de vorige reactie. Laat weg voor de eerste pagina; behoud dezelfde filters als u doorgaat.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Stored software observations only, at most 100 per page. items null means no stored snapshot; empty items means an observed empty list. Numeric after is an offset. Restart an export if updatedAtUtc changes.",
"operationId": "get_v1_devices_deviceId_software",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SoftwareResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get installed software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTSoftware installeren/v1/devices/{deviceId}/software/install
Vraag installatie aan van de meegeleverde software op een geautoriseerd apparaat en inspecteer het werkingsresultaat.
POST /v1/devices/{deviceId}/software/install ↗mcp.cap.SoftwareManage + mcp.cap.AutomationRead + mcp.cap.AutomationExecute
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"packageVersionId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Request installation of the supplied software on an authorised device and inspect the operation result.",
"operationId": "post_v1_devices_deviceId_software_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSoftwareInstall"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage",
"mcp.cap.AutomationRead",
"mcp.cap.AutomationExecute"
]
}POSTSoftware verwijderen/v1/devices/{deviceId}/software/uninstall
Verzoek om verwijdering van geselecteerde software van een geautoriseerd apparaat.
POST /v1/devices/{deviceId}/software/uninstall ↗mcp.cap.SoftwareManage
-schema's (OpenAPI)
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"identifier": "<value>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Verzoek- en antwoordschema (OpenAPI)
{
"description": "Request removal of selected software from an authorised device.",
"operationId": "post_v1_devices_deviceId_software_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfSoftwareUninstallRequestDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage"
]
}GETHaal de snelheidsteststatus op/v1/devices/{deviceId}/speed-tests
Lees de snelheidsteststatus en beschikbare resultaten van het apparaat.
GET /v1/devices/{deviceId}/speed-tests ↗mcp.cap.NetworkRead
-schema's (OpenAPI)
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedProfile
0 = Standard 1 = LowBandwidth
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read the device's speed-test status and available results.",
"operationId": "get_v1_devices_deviceId_speed_tests",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedDeviceSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get speed-test status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETSnelheidstestgeschiedenis lezen/v1/devices/{deviceId}/speed-tests/history
Blader door bewaarde snelheidstestresultaten voor een apparaat.
GET /v1/devices/{deviceId}/speed-tests/history ↗mcp.cap.NetworkRead
-schema's (OpenAPI)
NetworkInternetSpeedRunKind
0 = Scheduled 1 = Manual
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
after· -query · optioneel- Vervolgpositie uit de vorige reactie. Laat weg voor de eerste pagina; behoud dezelfde filters als u doorgaat.
pageSize· -query · optioneel- Maximaal aantal aangevraagde artikelen voor deze pagina. Eindpuntspecifieke limieten kunnen de paginagrootte verkleinen.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/history' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Browse retained speed-test results for a device.",
"operationId": "get_v1_devices_deviceId_speed_tests_history",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedHistoryPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read speed-test history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETVoer een snelheidstest uit/v1/devices/{deviceId}/speed-tests/{runId}
Lees één geregistreerde snelheidstest met behulp van de ID.
GET /v1/devices/{deviceId}/speed-tests/{runId} ↗mcp.cap.NetworkRead
-schema's (OpenAPI)
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
-parameters
deviceId· -pad · vereist- Apparaat-ID geretourneerd door de overeenkomstige apparaatlijst. Beheerde agenten en ontdekte netwerkapparaten hebben verschillende ID's.
runId· -pad · vereist- Domeinuitvoerings-ID geretourneerd door het resultaat van de bewerking, niet de ID van de ontvangst van de bewerking.
Voorbeeldaanvraag
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/<runId>' `
-Headers $headersVerzoek- en antwoordschema (OpenAPI)
{
"description": "Read one recorded speed-test run using its ID.",
"operationId": "get_v1_devices_deviceId_speed_tests_runId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Domain run identifier returned by the operation result, not the operation receipt identifier.",
"in": "path",
"name": "runId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedRunSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a speed-test run",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}POSTMaak een tijdelijke beheerder/v1/devices/{deviceId}/temporary-admin
[...]
